com.microfocus.awm.control.internal

## Class AbstractResourceOperationProcessor

- java.lang.Object
- - com.microfocus.awm.control.internal.AbstractResourceOperationProcessor

- Direct Known Subclasses:
    ResourceOperationProcessor, TableResourceOperationProcessor

      public abstract class AbstractResourceOperationProcessor
      extends java.lang.Object

  Class for handling resource operations. Copyright (C) Micro Focus
  Author:
    Ralf Pakosch, Christelle Biahmou
  See Also:
    `ResourceOperation`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractResourceOperationProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `didErrorsOccur()` Can be called after `doResourceProcessing(IExecutionContext, ToolDescriptor, String, IToolResult, IProgressMonitor)` to find out whether a resource operation could not be executed.
    `void` | `doResourceProcessing(IExecutionContext pContext, ToolDescriptor pToolDesc, java.lang.String pAffectedRes, IToolResult pToolResult, org.eclipse.core.runtime.IProgressMonitor pMon)` Performs the resource operation(s) after a tool was executed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractResourceOperationProcessor

          public AbstractResourceOperationProcessor()

  - ### Method Detail

    - #### doResourceProcessing

          public void doResourceProcessing(IExecutionContext pContext,
                                           ToolDescriptor pToolDesc,
                                           java.lang.String pAffectedRes,
                                           IToolResult pToolResult,
                                           org.eclipse.core.runtime.IProgressMonitor pMon)

      Performs the resource operation(s) after a tool was executed.
      Parameters:
        `pContext` - the `IExecutionContext`
        `pToolDesc` - the `ToolDescriptor` that was executed
        `pAffectedRes` - logical resource name. Can be `null`.
        `pToolResult` - the `ToolExecutionStatus` which can contain tool defined resource operations
        `pMon` - `IProgressMonitor`

    - #### didErrorsOccur

          public boolean didErrorsOccur()

      Can be called after `doResourceProcessing(IExecutionContext, ToolDescriptor, String, IToolResult, IProgressMonitor)` to find out whether a resource operation could not be executed.
      Returns:
        `true` if at least one error occurred. `false` otherwise.

Copyright © 2015 Micro Focus GmbH. All rights reserved.